# Choices.js Autocomplete

Entity reference autocomplete input is notoriously unintuitive and clunky. This module provides a field widget
featuring tight integration with the Choices.js plugin. Both existing selection labels and autocomplete results have
full HTML support. All selection handlers are supported, although optimal results are typically achieved
using views selection handlers.

## Installation

Before installation the `composer-merge-plugin` must be installed and configured on the project root. This allows the
Choices.js distribution to be managed automatically via Composer.

1. Install `composer-merge-plugin` on the project root:
   ```shell
   composer require wikimedia/composer-merge-plugin
   ```
2. Add `merge-plugin` configuration to the project root `composer.json` file:
   ```
   "extra": {
     "merge-plugin": {
       "include": [
         "web/modules/contrib/choices_autocomplete/composer.libraries.json"
       ]
     }
   }
   ```
3. Require the `drupal/choices_autocomplete` module:
   ```shell
    composer require drupal/choices_autocomplete
   ```

## Usage

1. Download and install the `drupal/choices_autocomplete` module. Recommended install method is composer:
   ```
   composer require drupal/choices_autocomplete
   ```
2. Go to the "Manage form display" tab of the desired entity type.
3. Select the "Choices.js Autocomplete" widget on the target entity reference field.
4. Review available configurations and save changes.
